kdiff3 (1.12.3-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 08:44:06 +0200

kdiff3 (1.12.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 23 Mar 2025 07:00:43 +0100

kdiff3 (1.12.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - drop qt6-5compat-dev, no more needed
  * Drop the atomic handling in debian/rules for good, as it does not seem
    needed anymore.

 -- Pino Toscano <pino@debian.org>  Tue, 18 Feb 2025 22:45:46 +0100

kdiff3 (1.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies following the port to Qt 6:
    - remove qtbase5-dev, libkf5config-dev, libkf5coreaddons-dev,
      libkf5crash-dev, libkf5doctools-dev, libkf5i18n-dev, libkf5kio-dev,
      libkf5widgetsaddons-dev, and libkf5xmlgui-dev
    - add qt6-base-dev, qt6-5compat-dev, libkf6config-dev, libkf6coreaddons-dev,
      libkf6crash-dev, libkf6doctools-dev, libkf6i18n-dev, libkf6kio-dev,
      libkf6widgetsaddons-dev, and libkf6xmlgui-dev
  * Update the other build dependencies according to the upstream build system:
    - bump cmake to 3.22
    - bump extra-cmake-modules to 6.2
    - bump libboost-dev to 1.82.0
    - add libicu-dev
  * Switch the kf5 dh addon to kf6.
  * Disable/empty the list of architectures that need -latomic for now,
    to check whether it is still needed with Qt 6.

 -- Pino Toscano <pino@debian.org>  Tue, 04 Feb 2025 18:40:28 +0100

kdiff3 (1.11.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 14 Nov 2024 22:31:23 +0100

kdiff3 (1.11.4-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Sep 2024 06:36:35 +0200

kdiff3 (1.11.3-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Sep 2024 17:12:44 +0200

kdiff3 (1.11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Jun 2024 14:55:07 +0200

kdiff3 (1.11.1-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Thu, 23 May 2024 13:15:20 +0200

kdiff3 (1.11.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.0, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.19
    - bump Qt packages to 5.15.5
    - bump KF packages to 5.95.0
    - add libkf5xmlgui-dev
    - drop libkf5parts-dev
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh
  * Drop mipsel from the list of architectures that need -latomic, as that
    architecture was dropped.
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Wed, 01 May 2024 07:24:15 +0200

kdiff3 (1.10.7-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Wed, 13 Dec 2023 09:43:59 +0100

kdiff3 (1.10.6-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Oct 2023 21:13:53 +0200

kdiff3 (1.10.5-1) unstable; urgency=medium

  * New upstream release.
  * Drop the transitional kdiff3-qt package, no more needed after two Debian
    stable releases.
  * Drop the breaks/replaces for versions older than Debian Bullseye.

 -- Pino Toscano <pino@debian.org>  Mon, 10 Jul 2023 05:38:51 +0200

kdiff3 (1.10.4-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release.
  * Switch Vcs-* fields back to the 'master' packaging branch.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Jun 2023 22:04:44 +0200

kdiff3 (1.10.2-1) experimental; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sun, 07 May 2023 09:12:42 +0200

kdiff3 (1.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Switch Vcs-* fields to the 'experimental' packaging branch.

 -- Pino Toscano <pino@debian.org>  Fri, 31 Mar 2023 09:29:22 +0200

kdiff3 (1.10.0-1) unstable; urgency=medium

  * New upstream release.
  * Update standards version to 4.6.2, no changes needed.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.14
    - bump Qt packages to 5.15.2
    - bump KF packages to 5.50.0
    - bump libboost-dev to 1.71.0
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Tue, 10 Jan 2023 22:32:12 +0100

kdiff3 (1.9.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Jun 2022 07:56:45 +0200

kdiff3 (1.9.5-1) unstable; urgency=medium

  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Mar 2022 21:45:46 +0100

kdiff3 (1.9.4-1) unstable; urgency=medium

  * New upstream release.
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.

 -- Pino Toscano <pino@debian.org>  Mon, 22 Nov 2021 23:41:34 +0100

kdiff3 (1.9.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 21 Aug 2021 07:38:38 +0200

kdiff3 (1.9.2-2) unstable; urgency=medium

  * Replace patch libatomic.diff by specifying -latomic instead via
    dpkg-buildflags, making sure it cannot be left out by as-needed;
    for now this is done on: armel m68k mipsel powerpc sh4.
    Hopefully, this should fix linking the atomic functions.

 -- Pino Toscano <pino@debian.org>  Mon, 16 Aug 2021 06:31:39 +0200

kdiff3 (1.9.2-1) unstable; urgency=medium

  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.8
    - bump the Qt packages to 5.8.0
    - bump the KF packages to 5.37.0
    - add libboost-dev
    - drop libkf5iconthemes-dev
  * Update the patches:
    - libatomic.diff: refresh/update
  * There are unit tests that require a display, so:
    - add the xauth, and xvfb build dependencies
    - run dh_auto_test with xvfb-run
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sun, 15 Aug 2021 17:31:23 +0200

kdiff3 (1.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Use execute_after_dh_auto_install to avoid invoking dh_auto_install
    manually.

 -- Pino Toscano <pino@debian.org>  Thu, 21 Jan 2021 11:40:18 +0100

kdiff3 (1.8.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 0.9.97-2, 0.9.96-4, 0.9.95-5,
    0.9.95-4, 0.9.94-3, 0.9.94-2, 0.9.93-3-1, 0.9.92-3, 0.9.92-2, 0.9.90-5,
    0.9.90-4, 0.9.90-3, 0.9.90-2, 0.9.88-5.

  [ Pino Toscano ]
  * New upstream release.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Change the kdiff3 recommend in kdiff3-qt to a dependency, to make sure
    that the transitional package actually works as such.
  * Switch Source in copyright to https://invent.kde.org/sdk/kdiff3.
  * Remove the explicit as-needed linking, as it is done by binutils now.

 -- Pino Toscano <pino@debian.org>  Fri, 04 Sep 2020 11:55:08 +0200

kdiff3 (1.8.3-1) unstable; urgency=medium

  * New upstream release:
    - fixes handling of the -L command line option (Closes: #939017)
    - fixes missing menu items (Closes: #962960)
  * Update the build dependencies according to the upstream build system:
    - bump the KF packages to 5.27.0
  * Update the patches:
    - upstream_Don-t-try-to-set-value-unless-scrollbar-exists.patch: drop,
      backported from upstream
    - libatomic.diff: refresh
  * Add the upstream signing key.
  * Do not ship the diff_ext.mo translations, as they are for a component
    specific for Windows.

 -- Pino Toscano <pino@debian.org>  Sun, 05 Jul 2020 08:17:21 +0200

kdiff3 (1.8.01-2) unstable; urgency=medium

  * Switch the maintainer to Debian KDE Extras Team, as agreed with Eike;
    keep him as Uploader, and add myself too.
  * Drop the local man page, since upstream already provides one, so our
    version overwrites it:
    - remove kdiff3.sgml
    - remove the docbook-to-man build dependency
  * Do not use dh_icons anymore, as there are already file triggers to update
    the icon theme caches.
  * Add Vcs-* fields.
  * Stop generating the HTML documentation, as it is generally not shipped
    for KDE applications: (Closes: #924187)
    - drop kdiff3-doc.doc-base, and kdiff3-doc.links
  * Do not try to ship README.Debian, and README.source as documentation for
    kdiff3-docs, as these files do not exist
    - drop kdiff3-docs.docs
  * Stop installing the NEWS file as documentation for kdiff3, as this file
    only points to ChangeLog.
  * Add the configuration for the CI on salsa.
  * Sort, and clean the install files.
  * Update the build dependencies according to the upstream build system:
    - add the version required for cmake, extra-cmake-modules, Qt5, and the
      KF5 packages
    - explicitly add gettext, libkf5config-dev, libkf5kio-dev, and
      libkf5widgetsaddons-dev
  * Switch from cdbs to the dh sequencer with the kf5 dh addon
    - replace the cdbs build dependency with pkg-kde-tools
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Rename debian/docs to debian/kdiff3.docs, to make to explicit which package
    it refers to.
  * Add Rules-Requires-Root: no.
  * Remove unused lintian override.
  * Remove the trailing whitespaces in changelog, and control.
  * Ship also the translations. (Closes: #932887)
  * Use https for Format in copyright.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add a watch file.
  * Replace the patch fix-crash.patch with the upstream commit
    6fd52582694f5616df3ec135fe22f21fc281036d; patch
    upstream_Don-t-try-to-set-value-unless-scrollbar-exists.patch.
  * Slightly rework the descriptions.

 -- Pino Toscano <pino@debian.org>  Tue, 30 Jun 2020 07:07:37 +0200

kdiff3 (1.8.01-1) unstable; urgency=low

  * New upstream release (this time a real tagged release)
  * Upstream fixed directory handling (closes: #920976)
  * Applied patch versus crash by Bernhard Übelacker (closes: #926408)
  * Updated control homepage field (closes: #927966)

 -- Eike Sauer <eike@debian.org>  Sat, 06 Jul 2019 13:10:00 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog kdiff3`.
